List agent skills
curl --request GET \
--url https://{controlPlaneURL}/api/ml/v1/agent-skills \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/ml/v1/agent-skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/ml/v1/agent-skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"ml_repo_id": "<string>",
"name": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"type": "agent-skill",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"latest_version": {
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2,
"type": "agent-skill"
},
"ml_repo_id": "<string>",
"agent_skill_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippets": [
{
"display_name": "<string>",
"language": "<string>",
"code": "<string>",
"libraries": [
"<string>"
],
"icon": "<string>"
}
]
}
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Skills
List agent skills
List agent skills with optional filtering by FQN, ML Repo, or name.
GET
/
api
/
ml
/
v1
/
agent-skills
List agent skills
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Fully qualified name to filter agent skills by (format: 'agent-skill:{tenant}/{ml_repo}/{agent_skill_name}')
ML Repo ID filter
Agent skill name filter
Pagination offset
Page size
Whether to include agent skills that have no versions
Was this page helpful?
⌘I